# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "mbedtls"
version = "0.6.2"
authors = ["Jethro Beekman <jethro@fortanix.com>"]
build = "build.rs"
description = "Idiomatic Rust wrapper for MbedTLS, allowing you to use MbedTLS with only safe\ncode while being able to use such great Rust features like error handling and\nclosures.\n\nBuilding on MbedTLS's focus on embedded use, this crate can be used in a no_std\nenvironment."
documentation = "https://docs.rs/mbedtls/"
readme = "../README.md"
keywords = ["MbedTLS", "mbed", "TLS", "SSL", "cryptography"]
license = "Apache-2.0/GPL-2.0+"
repository = "https://github.com/fortanix/rust-mbedtls"

[[example]]
name = "client"
path = "examples/client.rs"
required-features = ["std"]

[[example]]
name = "server"
path = "examples/server.rs"
required-features = ["std"]

[[test]]
name = "client_server"
path = "tests/client_server.rs"
required-features = ["std"]

[[test]]
name = "ec"
path = "tests/ec.rs"

[[test]]
name = "pbkdf"
path = "tests/pbkdf.rs"

[[test]]
name = "mbedtls_self_tests"
path = "tests/mbedtls_self_tests.rs"

[[test]]
name = "bignum"
path = "tests/bignum.rs"

[[test]]
name = "rsa"
path = "tests/rsa.rs"

[[test]]
name = "save_restore"
path = "tests/save_restore.rs"

[[test]]
name = "ssl_conf_ca_cb"
path = "tests/ssl_conf_ca_cb.rs"
required-features = ["std"]

[[test]]
name = "ssl_conf_verify"
path = "tests/ssl_conf_verify.rs"
required-features = ["std"]
[dependencies.bit-vec]
version = "0.5"
optional = true

[dependencies.bitflags]
version = "1"

[dependencies.block-modes]
version = "0.3"
optional = true

[dependencies.byteorder]
version = "1.0.0"

[dependencies.chrono]
version = "0.4"
optional = true

[dependencies.core_io]
version = "0.1"
features = ["collections"]
optional = true

[dependencies.mbedtls-sys-auto]
version = "2.18.5"
features = ["custom_printf", "trusted_cert_callback"]
default-features = false

[dependencies.num-bigint]
version = "0.2"
optional = true

[dependencies.rc2]
version = "0.3"
optional = true

[dependencies.serde]
version = "1.0.7"
default-features = false

[dependencies.serde_derive]
version = "1.0.7"

[dependencies.spin]
version = "0.4.0"
optional = true
default-features = false

[dependencies.yasna]
version = "0.2"
features = ["num-bigint", "bit-vec"]
optional = true
[dev-dependencies.hex]
version = "0.3"

[dev-dependencies.libc]
version = "0.2.0"

[dev-dependencies.matches]
version = "0.1.8"

[dev-dependencies.rand]
version = "0.4.0"

[dev-dependencies.serde_cbor]
version = "0.6"
[build-dependencies.cc]
version = "1.0"

[features]
aesni = ["mbedtls-sys-auto/aesni"]
custom_gmtime_r = ["mbedtls-sys-auto/custom_gmtime_r", "chrono"]
custom_time = ["mbedtls-sys-auto/custom_time", "chrono"]
default = ["std", "aesni", "time", "padlock", "legacy_protocols", "use_libc"]
dsa = ["std", "yasna", "num-bigint", "bit-vec"]
force_aesni_support = ["mbedtls-sys-auto/custom_has_support", "mbedtls-sys-auto/aes_alt", "aesni"]
legacy_protocols = ["mbedtls-sys-auto/legacy_protocols"]
mpi_force_c_code = ["mbedtls-sys-auto/mpi_force_c_code"]
padlock = ["mbedtls-sys-auto/padlock"]
pkcs12 = ["std", "yasna"]
pkcs12_rc2 = ["pkcs12", "rc2", "block-modes"]
pthread = ["threading", "std", "mbedtls-sys-auto/pthread"]
rdrand = []
rust_threading = ["threading", "mbedtls-sys-auto/custom_threading", "std"]
sgx = ["std", "rust_threading", "rdrand", "force_aesni_support"]
spin_threading = ["threading", "spin", "mbedtls-sys-auto/custom_threading"]
std = ["mbedtls-sys-auto/std", "serde/std", "yasna"]
threading = []
time = ["mbedtls-sys-auto/time"]
use_libc = ["mbedtls-sys-auto/libc"]
zlib = ["mbedtls-sys-auto/zlib"]
[target.x86_64-fortanix-unknown-sgx.dependencies.rs-libc]
version = "0.1.0"
